# grid-default

> Data grid with paging, sorting, filtering, validation, toolbar, and editing for orders.

**Framework:** javascript  **Component:** Grid  **Variant:** default

## Get this item

**If you are an agent, fetch the JSON.** Source is inlined, so one request is enough and no tooling is required:

```
GET https://ai.syncfusion.com/r/javascript/grid-default.json
```

**Install Package(s)**

```bash
npm install @syncfusion/ej2-grids
```

**Notes**

- Syncfusion release: 2026 Volume 2 (v34.1.29)
- The Syncfusion package is licensed. The composition in this file is source you own and edit. See https://ai.syncfusion.com/licensing.md

## Source files

### src/components/grid-default/default.html

```html
<div class="control-section">
    <div class="content-wrapper">
        <div id="Grid">
        </div>
    </div>
</div>

```

### src/components/grid-default/default.ts

```typescript
import { Grid, Selection, Sort, Filter, Edit, Toolbar } from '@syncfusion/ej2-grids';
import { Query, DataManager } from '@syncfusion/ej2-data';
import { orderData } from '../data-source';

Grid.Inject(Selection, Sort, Filter, Edit, Toolbar);

/**
 * Default Grid sample
 */
(window as any).default = (): void => {
    let data: Object = new DataManager(orderData as JSON[]).executeLocal(new Query().take(15));
    let grid: Grid = new Grid(
        {
            dataSource: data,
            allowSorting: true,
            allowFiltering: true,
            filterSettings: { type: 'Excel' },
            toolbar: ['Add', 'Edit', 'Delete', 'Update', 'Cancel'],
            editSettings: { allowAdding: true, allowEditing: true, allowDeleting: true },
            columns: [
                { field: 'OrderID', headerText: 'Order ID', width: 180, textAlign: 'Right', isPrimaryKey: true, validationRules: { required: true, number: true } },
                { field: 'CustomerName', headerText: 'Customer Name', width: 150, validationRules: { required: true, minLength: 5 } },
                { field: 'OrderDate', headerText: 'Order Date', width: 130, format: 'yMd', textAlign: 'Right', editType: 'datepickeredit' },
                { field: 'Freight', width: 120, format: 'C2', textAlign: 'Right', editType: 'numericedit', validationRules: { required: true, min: 0 } },
                { field: 'ShippedDate', headerText: 'Shipped Date', width: 140, format: 'yMd', textAlign: 'Right', editType: 'datepickeredit' },
                { field: 'ShipCountry', headerText: 'Ship Country', width: 150, editType: 'dropdownedit' }
            ]
        });
    grid.appendTo('#Grid');
};

```


# grid-default

> Data grid with paging, sorting, filtering, validation, toolbar, and editing via GridModule.

**Framework:** angular  **Component:** Grid  **Variant:** default

## Get this item

**If you are an agent, fetch the JSON.** Source is inlined, so one request is enough and no tooling is required:

```
GET https://ai.syncfusion.com/r/angular/grid-default.json
```

**Install Package(s)**

```bash
npm install @syncfusion/ej2-angular-grids
```

**Notes**

- Syncfusion release: 2026 Volume 2 (v34.1.29)
- The Syncfusion package is licensed. The composition in this file is source you own and edit. See https://ai.syncfusion.com/licensing.md

## Source files

### src/components/grid-default/grid.component.html

```html
<div class="grid-container" style="margin: 50px 90px">
  <ejs-grid [dataSource]='data' height='350' [allowSorting]='true' [allowFiltering]='true' [filterSettings]='filterSettings' [editSettings]='editSettings' [toolbar]='toolbar'>
      <e-columns>
          <e-column field='OrderID' headerText='Order ID' width='180' textAlign='Right' isPrimaryKey='true' [validationRules]='orderIdRules'></e-column>
          <e-column field='CustomerName' headerText='Customer Name' width='150' [validationRules]='customerIdRules'></e-column>
          <e-column field='OrderDate' headerText='Order Date' width='130' format="yMd" textAlign='Right' editType='datepickeredit'></e-column>
          <e-column field='Freight' headerText='Freight' width='120' format='C2' textAlign='Right' editType='numericedit' [validationRules]='freightRules'></e-column>
          <e-column field='ShippedDate' headerText='Shipped Date' width='130' format="yMd" textAlign='Right' editType='datepickeredit'></e-column>
          <e-column field='ShipCountry' headerText='Ship Country' width='150' editType='dropdownedit'></e-column>
      </e-columns>
    </ejs-grid>
</div>

```

### src/components/grid-default/grid.component.ts

```typescript
import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { GridModule, PageService, SortService, FilterService, ToolbarService, EditService, SelectionService } from '@syncfusion/ej2-angular-grids';

@Component({
  selector: 'app-grid',
  standalone: true,
  imports: [CommonModule, GridModule],
  providers: [PageService, SortService, FilterService, ToolbarService, EditService, SelectionService],
  templateUrl: './grid.component.html'
})

export class GridComponent {
  public data: Object[] = [
    { 'OrderID': 10248, 'CustomerName': 'Maria ', 'OrderDate': new Date('1996-07-04'), 'ShippedDate': new Date('1996-07-16'), 'Freight': 32.38, 'ShipCountry': 'France' },
    { 'OrderID': 10249, 'CustomerName': 'Ana Trujillo', 'OrderDate': new Date('1996-07-05'), 'ShippedDate': new Date('1996-07-10'), 'Freight': 11.61, 'ShipCountry': 'Germany' },
    { 'OrderID': 10250, 'CustomerName': 'Antonio Moreno', 'OrderDate': new Date('1996-07-08'), 'ShippedDate': new Date('1996-07-12'), 'Freight': 65.83, 'ShipCountry': 'Brazil' },
    { 'OrderID': 10251, 'CustomerName': 'Thomas Hardy', 'OrderDate': new Date('1996-07-08'), 'ShippedDate': new Date('1996-07-15'), 'Freight': 41.34, 'ShipCountry': 'France' },
    { 'OrderID': 10252, 'CustomerName': 'Christina Berglund', 'OrderDate': new Date('1996-07-09'), 'ShippedDate': new Date('1996-07-11'), 'Freight': 51.3, 'ShipCountry': 'Belgium' },
    { 'OrderID': 10253, 'CustomerName': 'Hanna Moos', 'OrderDate': new Date('1996-07-10'), 'ShippedDate': new Date('1996-07-16'), 'Freight': 58.17, 'ShipCountry': 'Brazil' },
    { 'OrderID': 10254, 'CustomerName': 'Frédérique Citeaux', 'OrderDate': new Date('1996-07-11'), 'ShippedDate': new Date('1996-07-23'), 'Freight': 22.98, 'ShipCountry': 'Switzerland' },
    { 'OrderID': 10255, 'CustomerName': 'Martín Sommer', 'OrderDate': new Date('1996-07-12'), 'ShippedDate': new Date('1996-07-15'), 'Freight': 148.33, 'ShipCountry': 'Switzerland' },
    { 'OrderID': 10256, 'CustomerName': 'Laurence Lebihan', 'OrderDate': new Date('1996-07-15'), 'ShippedDate': new Date('1996-07-17'), 'Freight': 13.97, 'ShipCountry': 'Brazil' },
    { 'OrderID': 10257, 'CustomerName': 'Elizabeth Lincoln', 'OrderDate': new Date('1996-07-16'), 'ShippedDate': new Date('1996-07-22'), 'Freight': 81.91, 'ShipCountry': 'Venezuela' },
    { 'OrderID': 10258, 'CustomerName': 'Victoria Ashworth', 'OrderDate': new Date('1996-07-17'), 'ShippedDate': new Date('1996-07-23'), 'Freight': 140.51, 'ShipCountry': 'Austria' },
    { 'OrderID': 10259, 'CustomerName': 'Patricio Simpson', 'OrderDate': new Date('1996-07-18'), 'ShippedDate': new Date('1996-07-25'), 'Freight': 3.25, 'ShipCountry': 'Mexico' },
    { 'OrderID': 10260, 'CustomerName': 'Francisco Chang', 'OrderDate': new Date('1996-07-19'), 'ShippedDate': new Date('1996-07-29'), 'Freight': 55.09, 'ShipCountry': 'Germany' },
    { 'OrderID': 10261, 'CustomerName': 'Yang Wang', 'OrderDate': new Date('1996-07-19'), 'ShippedDate': new Date('1996-07-30'), 'Freight': 3.05, 'ShipCountry': 'Brazil' },
    { 'OrderID': 10262, 'CustomerName': 'Pedro Afonso', 'OrderDate': new Date('1996-07-22'), 'ShippedDate': new Date('1996-07-25'), 'Freight': 48.29, 'ShipCountry': 'USA' }
  ];

  public filterSettings = {
    type: 'Excel'
  };

  public toolbar = ['Add', 'Edit', 'Delete', 'Update', 'Cancel'];

  public editSettings = {
    allowEditing: true,
    allowAdding: true,
    allowDeleting: true
  };

  public customerIdRules = {
    required: true,
    minLength: 5
  };

  public orderIdRules = {
    required: true,
    number: true
  };

  public freightRules = {
    required: true,
    min: 0
  };
}

```


# grid-default

> Data grid presents records with paging, sorting, filtering, and inline editing.

**Framework:** vue  **Component:** Grid  **Variant:** default

## Get this item

**If you are an agent, fetch the JSON.** Source is inlined, so one request is enough and no tooling is required:

```
GET https://ai.syncfusion.com/r/vue/grid-default.json
```

**Install Package(s)**

```bash
npm install @syncfusion/ej2-vue-grids
```

**Notes**

- Syncfusion release: 2026 Volume 2 (v34.1.29)
- The Syncfusion package is licensed. The composition in this file is source you own and edit. See https://ai.syncfusion.com/licensing.md

## Source files

### src/components/grid-default/Grid.vue

```vue
<template>
<div class="col-lg-12 control-section">
    <div>
        <ejs-grid :dataSource="data" :allowSorting='true' :allowFiltering='true' :filterSettings='filterSettings' :editSettings='editSettings' :toolbar='toolbar'>
            <e-columns>
                <e-column field='OrderID' headerText='Order ID' width='180' textAlign='Right' :isPrimaryKey='true' :validationRules='orderidrules'></e-column>
                <e-column field='CustomerName' headerText='Customer Name' width='150' :validationRules='customeridrules'></e-column>
                <e-column field='OrderDate' headerText='Order Date' width='130' format="yMd" textAlign='Right' editType='datepickeredit'></e-column>
                <e-column field='Freight' headerText='Freight' width='120' format='C2' textAlign='Right' editType='numericedit' :validationRules='freightrules' ></e-column>
                <e-column field='ShippedDate' headerText='Shipped Date' width='130' format="yMd" textAlign='Right' editType='datepickeredit'></e-column>
                <e-column field='ShipCountry' headerText='Ship Country' width='150' editType='dropdownedit'></e-column>
            </e-columns>
        </ejs-grid>
    </div>

</div>
</template>
<script lang="ts">
import { GridComponent, ColumnDirective, ColumnsDirective, Sort, Toolbar, Edit, Filter } from "@syncfusion/ej2-vue-grids";

const order = JSON.stringify([
    {
        "OrderID": 10248,
        "CustomerID": "VINET",
        "CustomerName": "Maria ",
        "OrderDate": "1996-07-04T00:00:00.000Z",
        "ShippedDate": "1996-07-16T00:00:00.000Z",
        "Freight": 32.38,
        "ShipName": "Vins et alcools Chevalier",
        "ShipAddress": "59 rue de l'Abbaye",
        "ShipCity": "Reims",
        "ShipRegion": null,
        "ShipCountry": "France",
        "Verified": true
    },
    {
        "OrderID": 10249,
        "CustomerID": "TOMSP",
        "CustomerName": "Ana Trujillo",
        "OrderDate": "1996-07-05T00:00:00.000Z",
        "ShippedDate": "1996-07-10T00:00:00.000Z",
        "Freight": 11.61,
        "ShipName": "Toms Spezialitäten",
        "ShipAddress": "Luisenstr. 48",
        "ShipCity": "Münster",
        "ShipRegion": null,
        "ShipCountry": "Germany",
        "Verified": true
    },
    {
        "OrderID": 10250,
        "CustomerID": "HANAR",
        "CustomerName": "Antonio Moreno",
        "OrderDate": "1996-07-08T00:00:00.000Z",
        "ShippedDate": "1996-07-12T00:00:00.000Z",
        "Freight": 65.83,
        "ShipName": "Hanari Carnes",
        "ShipAddress": "Rua do Paço, 67",
        "ShipCity": "Rio de Janeiro",
        "ShipRegion": "RJ",
        "ShipCountry": "Brazil",
        "Verified": true
    },
    {
        "OrderID": 10251,
        "CustomerID": "VICTE",
        "CustomerName": "Thomas Hardy",
        "OrderDate": "1996-07-08T00:00:00.000Z",
        "ShippedDate": "1996-07-15T00:00:00.000Z",
        "Freight": 41.34,
        "ShipName": "Victuailles en stock",
        "ShipAddress": "2, rue du Commerce",
        "ShipCity": "Lyon",
        "ShipRegion": null,
        "ShipCountry": "France"
    },
    {
        "OrderID": 10252,
        "CustomerID": "SUPRD",
        "CustomerName": "Christina Berglund",
        "OrderDate": "1996-07-09T00:00:00.000Z",
        "ShippedDate": "1996-07-11T00:00:00.000Z",
        "Freight": 51.3,
        "ShipName": "Suprêmes délices",
        "ShipAddress": "Boulevard Tirou, 255",
        "ShipCity": "Charleroi",
        "ShipRegion": null,
        "ShipCountry": "Belgium"
    },
    {
        "OrderID": 10253,
        "CustomerID": "HANAR",
        "CustomerName": "Hanna Moos",
        "OrderDate": "1996-07-10T00:00:00.000Z",
        "ShippedDate": "1996-07-16T00:00:00.000Z",
        "Freight": 58.17,
        "ShipName": "Hanari Carnes",
        "ShipAddress": "Rua do Paço, 67",
        "ShipCity": "Rio de Janeiro",
        "ShipRegion": "RJ",
        "ShipCountry": "Brazil",
        "Verified": true
    },
    {
        "OrderID": 10254,
        "CustomerID": "CHOPS",
        "CustomerName": "Frédérique Citeaux",
        "OrderDate": "1996-07-11T00:00:00.000Z",
        "ShippedDate": "1996-07-23T00:00:00.000Z",
        "Freight": 22.98,
        "ShipName": "Chop-suey Chinese",
        "ShipAddress": "Hauptstr. 31",
        "ShipCity": "Bern",
        "ShipRegion": null,
        "ShipCountry": "Switzerland"
    },
    {
        "OrderID": 10255,
        "CustomerID": "RICSU",
        "CustomerName": "Martín Sommer",
        "OrderDate": "1996-07-12T00:00:00.000Z",
        "ShippedDate": "1996-07-15T00:00:00.000Z",
        "Freight": 148.33,
        "ShipName": "Richter Supermarkt",
        "ShipAddress": "Starenweg 5",
        "ShipCity": "Genève",
        "ShipRegion": null,
        "ShipCountry": "Switzerland"
    },
    {
        "OrderID": 10256,
        "CustomerID": "WELLI",
        "CustomerName": "Laurence Lebihan",
        "OrderDate": "1996-07-15T00:00:00.000Z",
        "ShippedDate": "1996-07-17T00:00:00.000Z",
        "Freight": 13.97,
        "ShipName": "Wellington Importadora",
        "ShipAddress": "Rua do Mercado, 12",
        "ShipCity": "Resende",
        "ShipRegion": "SP",
        "ShipCountry": "Brazil"
    },
    {
        "OrderID": 10257,
        "CustomerID": "HILAA",
        "CustomerName": "Elizabeth Lincoln",
        "OrderDate": "1996-07-16T00:00:00.000Z",
        "ShippedDate": "1996-07-22T00:00:00.000Z",
        "Freight": 81.91,
        "ShipName": "HILARION-Abastos",
        "ShipAddress": "Carrera 22 con Ave. Carlos Soublette #8-35",
        "ShipCity": "San Cristóbal",
        "ShipRegion": "Táchira",
        "ShipCountry": "Venezuela",
        "Verified": true
    },
    {
        "OrderID": 10258,
        "CustomerID": "ERNSH",
        "CustomerName": "Victoria Ashworth",
        "OrderDate": "1996-07-17T00:00:00.000Z",
        "ShippedDate": "1996-07-23T00:00:00.000Z",
        "Freight": 140.51,
        "ShipName": "Ernst Handel",
        "ShipAddress": "Kirchgasse 6",
        "ShipCity": "Graz",
        "ShipRegion": null,
        "ShipCountry": "Austria",
        "Verified": true
    },
    {
        "OrderID": 10259,
        "CustomerID": "CENTC",
        "CustomerName": "Patricio Simpson",
        "OrderDate": "1996-07-18T00:00:00.000Z",
        "ShippedDate": "1996-07-25T00:00:00.000Z",
        "Freight": 3.25,
        "ShipName": "Centro comercial Moctezuma",
        "ShipAddress": "Sierras de Granada 9993",
        "ShipCity": "México D.F.",
        "ShipRegion": null,
        "ShipCountry": "Mexico"
    }
]);

const orderDetails = JSON.parse(order, function (field, value) {
    var dupValue = value;
    if (typeof value === 'string' && /^(\d{4}\-\d\d\-\d\d([tT][\d:\.]*){1})([zZ]|([+\-])(\d\d):?(\d\d))?$/.test(value)) {
        var arr = dupValue.split(/[^0-9]/);
        value = new Date(parseInt(arr[0], 10), parseInt(arr[1], 10) - 1, parseInt(arr[2], 10), parseInt(arr[3], 10), parseInt(arr[4], 10), parseInt(arr[5], 10));
    }
    return value;
});

export default {
  components: {
    'ejs-grid': GridComponent,
    'e-column': ColumnDirective,
    'e-columns': ColumnsDirective
  },
  data: () => {
    return {
      data: orderDetails.slice(0, 12),
      filterSettings: { type: 'Excel' },
      editSettings: { allowEditing: true, allowAdding: true, allowDeleting: true },
      orderidrules: { required: true, number: true },
      customeridrules: { required: true, minLength: 5 },
      freightrules:  { required: true, min: 0 },
      toolbar: ['Add', 'Edit', 'Delete', 'Update', 'Cancel'],
    };
  },
  provide: {
      grid: [Sort, Toolbar, Edit, Filter]
  }
}
</script>
```

### src/components/grid-default/GridView.vue

```vue
<template>
  <Grid />
</template>

<script setup>
import Grid from '../../components/Grid.vue'
</script>
```
